<?php

	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	class AdminEmailEncryptionView extends AdminPluginTemplatedView
	{

		function AdminEmailEncryptionView($blogInfo)
		{
			$this->AdminPluginTemplatedView($blogInfo, "emailencryption", "adminemailencryption");
		}

		function render()
		{
			$blogSettings = $this->_blogInfo->getSettings();

			$pluginEnabled = $blogSettings->getValue("emailencryption_plugin_enabled");

			$this->setValue("pluginEnabled", $pluginEnabled);

			parent::render();
		}
	}
?>